LibreOffice: XModifiable2 Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XModifiable2 Interface Reference

allows to control modifiable state change. More...

Inheritance diagram for XModifiable2:

## Public Member Functions
boolean | disableSetModified ()
| disable possibility to change modified state of the document
boolean | enableSetModified ()
| enable possibility to change modified state of the document
boolean | isSetModifiedEnabled ()
| allows to detect whether the modified state change is enabled
Public Member Functions inherited from XModifiable
boolean | isModified ()
void | setModified ([in] boolean bModified) raises ( com::sun::star::beans::PropertyVetoException )
| sets the status of the modified-flag from outside of the object.
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified."
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows to control modifiable state change.

This interface allows to prevent changing of the modified state of the object. It is introduced for performance optimizations, to allow to prevent unnecessary updates, for example while importing a document. Please use this interface very carefully.

## Member Function Documentation

## ◆ disableSetModified()

boolean disableSetModified | ( |  | ) |

disable possibility to change modified state of the document

Returns
  the value that says whether the modified state change was enabled before the call `TRUE` the changing of the modified state was already disabled `FALSE` the changing of the modified state was enabled

## ◆ enableSetModified()

boolean enableSetModified | ( |  | ) |

enable possibility to change modified state of the document

Returns
  the value that says whether the modified state change was enabled before the call `TRUE` the changing of the modified state was disabled `FALSE` the changing of the modified state was already enabled

## ◆ isSetModifiedEnabled()

boolean isSetModifiedEnabled | ( |  | ) |

allows to detect whether the modified state change is enabled

The documentation for this interface was generated from the following file:

- com/sun/star/util/XModifiable2.idl